## Starting SQL Studio

### Procedure

To start SQL Studio, select Start ® Programs ® MaxDB ® SQL Studio.

### Starting from the Command Line

You can also start SQL Studio from the command line. In this case, you can specify options.

...

1. Switch to the directory in which the program sqlsto.exe is stored.

2. Enter the following command:

sqlsto [<options>]

You have the following options:

-? | Displays all command line options
-version | Displays information on the software version
-n <database_computer> | Name of the database computer
-d <database_name> | Name of the database instance
-u <database_user>[,<database_user_password>] | Name and password of the database user See Concepts of the Database System, Conventions for User Names and Passwords
-c <sql_mode> | SQL Mode Possible values: INTERNAL | ORACLE | ANSI | DB2 If you log on to a database instance (version 7.6 or higher) with SQL Studio, you can only choose the SQL modes INTERNAL or ORACLE. The SQL modes DB2 and ANSI are no longer supported. After you start SQL Studio, you can also change the SQL mode in the User Settings.
-t <trace_file> | Activates the ODBC trace (see ODBC Manual, Properties of Data Sources)

See also:

Opening a Database Session